logs archiveIRC Archive / Freenode / #centos / 2015 / August / 21 / 1
Evolution
dm_comp: the mailing list
I don't think they have an irc channel.
dm_comp
Evolution, yup, the only thing they have is slforum
jeffreylevesque
when i try via puppet `command => 'pear channel-discover pear.drush.org && pear install drush/drush'` I'm getting: Discovery of channel "pear.drush.org" succeeded. THen, I get File http://pear.drush.org:80/rest/r/drush/allreleases.xml not valid (received: HTTP/1.1 404 Not Found)
but it is valid - https://pear.php.net/package/Console_Table/download/1.1.5
|splat|
hey guys, i have two computers, both old and both running 5.11. They do have slightly different hardware, but they all both the same software installed. I am trying to run one piece of sotware on both, called pymol, and it works on one but not the other.
http://pastebin.com/L5PVsaPs is the error Im receiving
# rpm -qa | grep libstdc++ | sort gives the same list on both. # strings /usr/lib/libstdc++.so.6 | grep GLIBCXX also gives the same list on both
and neither has GLIBCXX_3.4.9 or 3.4.11 in the strings list
so 1) how can i get version 3.4.9 and/or 3.4.11 on centos 5.11, and 2) why does it work on one computer but not the other
Evolution
|splat|: you don't. updating glibc on the distro essentially means a rebuild of all the distro software.
so you'd need to update to c6 or c7
|splat|: as to why it works on one and not the other, that's entirely up to whoever installed it in the first place. we don't know what they did.
also, /usr/programs? ohgod
|splat|
yeah...
before my time here...
i do know that at one time it did work on both machines because i have had to restore both of them from backups when they died at different times
ExoUNX
good day everyone
|splat|
i have a feeling someone updated the program recently and isnt telling me
DiscordianUK
you can check that
         

|splat|
dec 5 2014 is the date on the .tgz
DiscordianUK
Uhuh
Then we're not talking anything centos provides or supports
|splat|
yeah so i guess the fact that it works on one and not the other is magic
ExoUNX
thoughts on the epel repo?
DiscordianUK
I suspect it's because the machines differ
Zathrus
|splat|: whatever those are at this point isn't anything that's supportable... they've been completely frankensteined
ExoUNX: it's recommended
ExoUNX
Zathrus, I use it now, just curious what the centos buffs think of it
Zathrus
and I just told you :P
it was the first 3rd party repo to have its rpm put into centos-extras for a reason
Evolution
|splat|: it's never magic. however we have 0 way of guessing what your crazed ex-admin may have done in the dark of night. he might gone on a crack-induced bender and built a new glibc from scratch.
ExoUNX
I just wish CentOS repos had some packages that are more recent stable. Like 5.6.12 for PHP, or latest for nginx/openssl. I know the goal is stability and security but sometimes it's better to update some of the packages
Evolution
we don't know. all we know is that the glibc in 5.11 doesn't get you there.
|splat|: there isn't a *supported* method for what you're looking for.
there are TONS of stupid ways to make it work that are unsupported, broken, and lead to tears and alcoholism
ExoUNX
CentOS default php package I believe is on 5.3.3 still. That's horrbily outdated in php terms and a lot of functions are deprecated now and unsecure for use
|splat|
well, the vendor page says it works on any linux with glibc 2.5+ and both machines have glibc-2.5-123.el5_11.3
php
If you want a more up-to-date version of me on CentOS, use the webstatic repository.
Poster
most patched get backported, you just don't see a new version number
DiscordianUK
have you read about backporting in CentOS
ExoUNX
Poster, yah that happened to OpenSSL
z1haze
if i want to clear all firewalld rules to start over, how do I do that?
Poster
you can try CentOS7 if you want relatively new
ExoUNX
DiscordianUK, yes I know it exists, but it doesn't for everything
         

Poster
though "new" and "stable" generally don't run together
php
CentOS is weird to me
(7)
ExoUNX
Poster, I'm afraid to deal with systemd :D
Poster, I know, I'm talking about latest stable
Poster
you could also try leaving the compatability realm and search rpmfind.net or something
or compile from source
DiscordianUK
it won't bite unless you ask
We don't recommend installing random rpms from rpmfind.net
Evolution
php: godno. IUS.
DiscordianUK
and compiling stuff isn't supported here
Poster
yeah I wouldn't recommend it either\
Evolution
webstatic has done damage to users in the past, and is commonly associated with plesk
php
I am unfamiliar with IUS.
ExoUNX
is the webstatic repo already in the main or epel repo?
Zathrus
compiling from source -- such a great way to take your system stability and throw it out the window
ExoUNX
or do I need to add that elsewhere
Poster
no arguments there
was trying to come up with ways to have newer versions
Evolution
ExoUNX: @ius
Zathrus
ExoUNX: it's not a recommended repo. It tends to do stupid things.
Evolution
bah
php
I have never had a problem with webstatic
Evolution
@ius
centbot
A good source for more modern and trusted mysql, php and python packages is the IUS repo. For more information please see http://iuscommunity.org and the #iuscommunity channel on this network.
php
Thank you for the heads up.
I will update my database entry for: webstatic php55w repository
Done!
Zathrus
php: replacing base packages is considered stupid.
Evolution
ius is maintained by rackspace. it's very reliable.
and the guys responsible are usually in here supporting folks.
occupant
...like openstack!
heh
php
rackspace are very friendly people!
ExoUNX
doesn't digital ocean have a crappy repo?
DiscordianUK
yum install yum-plugin-protectbase is useful
Evolution
ExoUNX: don't think so.
ExoUNX
digital ocean has some decent guides though
seems to steer in the right direction in terms of stability and security
Zathrus
excepting that you cannot actually properly update the kernel
Evolution
DO does do very good documentation
their kernel update mechanism is really my only complaint
Zathrus
yup
ExoUNX
lol I'd love to try a 3.x kernel on CentOS XD
so much more hardware support :P
Zathrus
so install C7
ExoUNX
Zathrus, one day :D
Zathrus
or use the xen kernel from centosplus repo in 6
occupant
or just use the elrepo kernel packages. 3.0 kernel tailored for centos.
Zathrus
or one of the kernels from elrepo
occupant
I've been using that kernel since I ran into a performance bug with my LSI controller than nobody else seemingly has noticed.
ExoUNX
compiled specifically for CentOS 6.x?
occupant
yup
ExoUNX
I'll have to throw a test server and check it out
occupant
I've been using it in production on our object cluster
« prev 1 2 3 4 5 6 7 8 9 next »